com.corticon.rulesemf.canonicaltestmodel.testsheet

## Class ReturnEntityMode

- java.lang.Object
- - org.eclipse.emf.common.util.AbstractEnumerator
  - - com.corticon.rulesemf.canonicaltestmodel.testsheet.ReturnEntityMode

- All Implemented Interfaces:
    java.io.Serializable, org.eclipse.emf.common.util.Enumerator

      public final class ReturnEntityMode
      extends org.eclipse.emf.common.util.AbstractEnumerator

  A representation of the literals of the enumeration 'Return Entity Mode', and utility methods for working with them.
  See Also:
    `TestsheetPackage.getReturnEntityMode()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL` The 'All' literal value
    `static ReturnEntityMode` | `ALL_LITERAL` The 'All' literal object
    `static java.lang.String` | `copyright`
    `static int` | `INCOMING_AND_NEW` The 'Incoming And New' literal value
    `static ReturnEntityMode` | `INCOMING_AND_NEW_LITERAL` The 'Incoming And New' literal object
    `static int` | `UNSPECIFIED` The 'Unspecified' literal value
    `static ReturnEntityMode` | `UNSPECIFIED_LITERAL` The 'Unspecified' literal object
    `static java.util.List` | `VALUES` A public read-only list of all the 'Return Entity Mode' enumerators

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReturnEntityMode` | `get(int value)` Returns the 'Return Entity Mode' literal with the specified integer value
    `static ReturnEntityMode` | `get(java.lang.String literal)` Returns the 'Return Entity Mode' literal with the specified literal value
    `static ReturnEntityMode` | `getByName(java.lang.String name)` Returns the 'Return Entity Mode' literal with the specified name

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator

      `getLiteral, getName, getValue, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### UNSPECIFIED

          public static final int UNSPECIFIED

      The 'Unspecified' literal value.

      If the meaning of 'Unspecified' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNSPECIFIED_LITERAL`, Constant Field Values

    - #### ALL

          public static final int ALL

      The 'All' literal value.

      If the meaning of 'All' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ALL_LITERAL`, Constant Field Values

    - #### INCOMING_AND_NEW

          public static final int INCOMING_AND_NEW

      The 'Incoming And New' literal value.

      If the meaning of 'Incoming And New' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INCOMING_AND_NEW_LITERAL`, Constant Field Values

    - #### UNSPECIFIED_LITERAL

          public static final ReturnEntityMode UNSPECIFIED_LITERAL

      The 'Unspecified' literal object.
      See Also:
        `UNSPECIFIED`

    - #### ALL_LITERAL

          public static final ReturnEntityMode ALL_LITERAL

      The 'All' literal object.
      See Also:
        `ALL`

    - #### INCOMING_AND_NEW_LITERAL

          public static final ReturnEntityMode INCOMING_AND_NEW_LITERAL

      The 'Incoming And New' literal object.
      See Also:
        `INCOMING_AND_NEW`

    - #### VALUES

          public static final java.util.List VALUES

      A public read-only list of all the 'Return Entity Mode' enumerators.

  - ### Method Detail

    - #### get

          public static ReturnEntityMode get(java.lang.String literal)

      Returns the 'Return Entity Mode' literal with the specified literal value.

    - #### getByName

          public static ReturnEntityMode getByName(java.lang.String name)

      Returns the 'Return Entity Mode' literal with the specified name.

    - #### get

          public static ReturnEntityMode get(int value)

      Returns the 'Return Entity Mode' literal with the specified integer value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.